Bug 779824 - (SOA-2185) SoapUIClientService transforms targeted at #document fragment are lost
SoapUIClientService transforms targeted at #document fragment are lost
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
Depends On:
  Show dependency treegraph
Reported: 2010-07-28 03:10 EDT by Martin Weiler
Modified: 2011-02-11 00:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-02-11 00:37:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2185 None None None Never

  None (edit)
Description Martin Weiler 2010-07-28 03:10:31 EDT
Help Desk Ticket Reference: https://access.redhat.com/issue-tracker/1035273
Workaround Description: Rewrite the transformation to not target the DOM root element.
project_key: SOA

Platform issue for JBESB-3391: SoapUIClientService transforms targeted at #document fragment are lost because SoapUIClientService already holds a ref to the old DOM Document root element
Comment 1 Martin Weiler 2010-07-28 03:10:54 EDT
Link: Added: This issue depends JBESB-3391
Comment 2 Anne-Louise Tangring 2010-09-10 14:03:16 EDT
This is a candidate for SOA 5.1.0
Comment 4 Darrin Mison 2011-01-04 19:14:39 EST
Writer: Added: dlesage
Comment 5 Martin Weiler 2011-02-09 14:49:05 EST
Closing as the underlying JBESB-3391 issue has been closed and resolved already.
Comment 6 David Le Sage 2011-02-11 00:34:35 EST
Temporarily reopening to update release note info.
Comment 7 David Le Sage 2011-02-11 00:37:39 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3391

SoapUIClientService transformations targeted at the #document fragment were being lost because the SoapUIClientService already held a reference to the old DOM Document root element. To fix this issue, an change has been made to the SoapUIClientService.buildSOAPMessage() method where it calls Smooks. As a result, the transformations are no longer lost.

Note You need to log in before you can comment on or make changes to this bug.